import { LldConfig } from "./types/lldConfig.js";
/**
 * Get the names of the supported frameworks
 */
declare function getSupportedFrameworksNames(): string[];
/**
 * Get the name of the current framework
 */
declare function getCurrentFrameworkName(): Promise<string | undefined>;
declare function getLambdas(config: LldConfig): Promise<{
    codePath: string;
    functionName: string;
    packageJsonPath?: string | undefined;
    handler?: string | undefined;
    forceBundle?: boolean | undefined;
    bundlingType?: import("./types/resourcesDiscovery.js").BundlingType | undefined;
    esBuildOptions?: import("./types/resourcesDiscovery.js").EsBuildOptions | undefined;
}[] | undefined>;
export declare const ResourceDiscovery: {
    getSupportedFrameworksNames: typeof getSupportedFrameworksNames;
    getCurrentFrameworkName: typeof getCurrentFrameworkName;
    getLambdas: typeof getLambdas;
};
export {};
